## net.sf.saxon.dom
Class DOMTransform

    java.lang.Object
      net.sf.saxon.Transform
          net.sf.saxon.dom.DOMTransform

    public class DOMTransform

extends Transform

Variant of command line net.sf.saxon.Transform do build the source document in DOM and then proceed with the transformation. This class is provided largely for testing purposes.

Field Summary

Fields inherited from class net.sf.saxon.Transform
`compilerInfo, config, repeat, showTime, useURLs`

Constructor Summary
`DOMTransform()`

Method Summary
`static void` `main(String[] args)`
`List` `preprocess(List sources)` Preprocess the list of sources.

Methods inherited from class net.sf.saxon.Transform
`applyLocalOptions, badUsage, doTransform, getConfiguration, initializeConfiguration, newController, quit, setFactoryConfiguration, setPermittedOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMTransform

    public DOMTransform()

Method Detail

### preprocess

    public List preprocess(List sources)
                    throws XPathException

  Description copied from class: `Transform`
  Preprocess the list of sources. This method exists so that it can be overridden in a subclass

  Overrides:
    `preprocess` in class `Transform`
  Parameters:
    `sources` - the list of Source objects
  Returns:
    a revised list of Source objects
  Throws:
    `XPathException`

### main

    public static void main(String[] args)

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.